Katello - Bug #6154

convert --environment, --environment-id in content-host to use
--lifecycle-environment,--lifecycle-environment-id and fix search by --lifecycle-environment

06/10/2014 11:49 PM - dustin tsang

Status: Closed

Priority: Normal

Assignee: dustin tsang

Category: Hammer

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

--environment, --environment-id need in the content-host subcommand need to converted to
--lifecycle-environment, --lifecycle-environment-id respectively. --lifecycle-environment is much more clearer to the user.

There is also an issue with --environment trying to resolve to the environment resource instead of the lifecycle-environment resource.

Associated revisions

Revision 5e89a081 - 06/17/2014 04:03 PM - dustin tsang

Fixes #6154, #6253 - ak/ch name resolver for Ifenv
Fixes a few issues with activation-key and content-host

1) This provides resource_alias from --environment, --environment-id
to --lifecycle-environment, --lifecycle-environment-id

2) fixes issue with resolving the environment by name:
--environment or --lifecycle-environment flag did not work

resolving by name was using environment resource instead
of the lifecycle-environment resource.

Revision 16978ad1 - 06/17/2014 05:41 PM - dustin tsang
Merge pull request #189 from dustint-rh/fix_ch_query_by_env

Fixes #6154 - ch Ifenv option and resolve Ifenv

History

#1 - 06/10/2014 11:50 PM - dustin tsang

ref http://projects.theforeman.org/issues/5697

#2 - 06/11/2014 12:28 AM - dustin tsang

https://github.com/Katello/hammer-cli-katello/pull/189

#3 - 06/11/2014 07:18 PM - Eric Helms

- Triaged changed from No to Yes

#4 - 06/16/2014 02:55 PM - Eric Helms

- Target version changed from 45 to 48

#5 - 06/17/2014 06:06 PM - dustin tsang
- Status changed from Assigned to Closed

- % Done changed from 0 to 100
http://projects.theforeman.org/issues/5697
https://github.com/Katello/hammer-cli-katello/pull/189

Applied in changeset hammer-cli-katellojcommit:5€8920817b2ebb2705eaa9d756dd3133980c734d.

#6 - 08/22/2014 08:33 AM - Eric Helms

- translation missing: en.field_release set to 13
